local modpath = minetest.get_modpath("permafrost")
dofile(modpath .. "/nodes.lua")
dofile(modpath .. "/decorations.lua")

minetest.register_biome(
	{
		name = "permafrost_moss",
		node_top = "permafrost:with_moss",
		depth_top = 1,
		y_max = 31000,
		y_min = -20,
		
		heat_point = 0,
		humidity_point = 50,
	})
	
minetest.register_ore({
		ore_type = "vein",
		ore = "permafrost:with_moss_and_rocks",
		wherein = "permafrost:with_moss",
		clust_scarcity = 4 * 4 * 4,
		clust_num_ores = 1,
		clust_size = 1,
		y_min = -30,
		y_max = 1000,
	})
	
	
	
minetest.register_biome(
	{
		name = "permafrost_rocks",
		node_top = "permafrost:with_rocks",
		depth_top = 1,
		y_max = 31000,
		y_min = -20,
		
		heat_point = 0,
		humidity_point = 68,
	})


--generating scorched dirt fields to make permafrost with moss look
--less lush and permafrost with rocks look less noisy
minetest.register_ore({
		ore_type = "blob",
		ore = "scorched_dirt",
		wherein = {"permafrost:with_rocks", "permafrost:with_moss", "permafrost:with_moss_and_rocks"},
		clust_scarcity = 4 * 4 * 4,
		clust_num_ores = 4,
		clust_size = 8,
		y_min = -30,
		y_max = 1000,
	})
